# API reference

The GitBook API provides developers with a powerful and flexible way to interact with GitBook's platform programmatically. It offers endpoints to manage content and integrate GitBook functionalities into external applications.

This API is RESTful and supports standard HTTP methods like `GET`, `POST`, `PATCH`, and `DELETE`.

### Key Features

* **Content Management**: Create, update, and retrieve documents and pages within GitBook.
* **Collaboration**: Manage users, organization, and permissions.
* **Integration**: Integrate GitBook with external tools and services.

### OpenAPI spec

You can view GitBook’s hosted OpenAPI spec used to generate our API docs [here](https://api.gitbook.com/openapi.json). Learn more about creating your own API references in our [product docs](/docs/api-references/openapi.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook.com/docs/developers/gitbook-api/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
